<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetRequest StructType
 * @subpackage Structs
 */
class GetRequest extends AbstractStructBase
{
    /**
     * The baseRef
     * @var \StructType\BaseRef
     */
    public $baseRef;
    /**
     * Constructor method for GetRequest
     * @uses GetRequest::setBaseRef()
     * @param \StructType\BaseRef $baseRef
     */
    public function __construct(\StructType\BaseRef $baseRef = null)
    {
        $this
            ->setBaseRef($baseRef);
    }
    /**
     * Get baseRef value
     * @return \StructType\BaseRef|null
     */
    public function getBaseRef()
    {
        return $this->baseRef;
    }
    /**
     * Set baseRef value
     * @param \StructType\BaseRef $baseRef
     * @return \StructType\GetRequest
     */
    public function setBaseRef(\StructType\BaseRef $baseRef = null)
    {
        $this->baseRef = $baseRef;
        return $this;
    }
}
